Resent-Date: Tue, 9 Feb 1999 20:48:38 +0100 (MET)
Date: Tue, 9 Feb 1999 20:48:06 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: lint fixes
Resent-From: linux-m68k@phil.uni-sb.de


Fixes for the guy with lint (Christopher Peterson <cpeterso@cs.washington.edu>).

--- m68k/drivers/net/a2065.c.orig	Sat Oct 10 21:56:08 1998
+++ m68k/drivers/net/a2065.c	Tue Feb  9 19:49:07 1999
@@ -767,6 +767,8 @@
 			dev->priv = kmalloc(sizeof(struct
 						   lance_private),
 					    GFP_KERNEL);
+			if (dev->priv == NULL)  
+				return -ENOMEM;
 			priv = (struct lance_private *)dev->priv;
 			memset(priv, 0, sizeof(struct lance_private));
 
--- m68k/drivers/net/ariadne.c.orig	Sat Oct 10 21:56:09 1998
+++ m68k/drivers/net/ariadne.c	Tue Feb  9 19:48:35 1999
@@ -171,6 +171,8 @@
 	    init_etherdev(dev, 0);
 
 	    dev->priv = kmalloc(sizeof(struct ariadne_private), GFP_KERNEL);
+	    if (dev->priv == NULL)
+		return -ENOMEM;
 	    priv = (struct ariadne_private *)dev->priv;
 	    memset(priv, 0, sizeof(struct ariadne_private));
 

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

